Last Comment Bug 301917 - Cursor keys disabled/Caret not moving with keyboard in message compose window
: Cursor keys disabled/Caret not moving with keyboard in message compose window
Status: VERIFIED FIXED
[fixed1.7.11]
: fixed1.7.11, regression
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: 1.7 Branch
: x86 Windows XP
: -- major with 2 votes (vote)
: ---
Assigned To: David :Bienvenu
:
Mentors:
: 301710 301827 301968 302318 302350 302384 302459 302641 302777 303139 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-24 04:52 PDT by Klaus Johannes Rusch
Modified: 2006-02-11 13:25 PST (History)
18 users (show)
asa: blocking1.7.11+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
possible fix [Checked in: Comment 24] (2.77 KB, patch)
2005-07-26 15:20 PDT, David :Bienvenu
bzbarsky: review+
bzbarsky: superreview+
asa: approval1.7.11+
Details | Diff | Splinter Review

Description Klaus Johannes Rusch 2005-07-24 04:52:51 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.10) Gecko/20050716

Since upgrading to Mozilla 1.7.10, cursor keys occasionally stop working in the
mail composition window.

Cursor up, down, left, right, home, end are all inactive, changing window focus
to another application and back to Mozilla usually resolves the problem.

Reproducible: Sometimes

Steps to Reproduce:
1. Compose new mail/reply to mail
2. Try moving with the cursor keys
Comment 1 OstGote! 2005-07-24 07:18:59 PDT
Confirming, seeing this also with 1.7 builds since a short time before the final
1.7.10 release. Didn't find another report.

Try to load Mozilla, open Mailnews and open a compose window. Type some
characters and several carriage returns (enter) into the body and try to move up
with the keyboard (arrow up). Nothing happens. It is later only sporadic.

I don't see any JS errors in the console.
Comment 2 Christian Ehrlicher 2005-07-24 22:39:23 PDT
I've the same problem.
CC, bcc and subject lines seem also be affected sometimes.
Please set severity a little bit higher - it's really annoying!
My OS is win2k.
Comment 3 Mirek 2005-07-25 01:33:43 PDT
Same problem, Win XP, however, reproducible always, the change of focus/restart
does not help at all, the cursor keys never work. I had to go back to 1.7.8.
Comment 4 David :Bienvenu 2005-07-25 13:15:47 PDT
yes, this happens to me too - very odd
Comment 5 Asa Dotzler [:asa] 2005-07-25 18:35:43 PDT
Can anyone here pinpoint the day this regressed or at least help us narrow that
down? 
Comment 6 youck 2005-07-25 23:25:59 PDT
windows XP, happens on two different machines. Switching back to 1.7.8.
Also happens in browser as well is mail composition.
Comment 7 Frank Wein [:mcsmurf] 2005-07-26 03:41:13 PDT
BTW: It looks like some controller(?) or focus gets lost here, since when this
bug occours, the menu items like Paste, Select All, Rewrap, etc. in the Edit
menu are grayed out.
Comment 8 David :Bienvenu 2005-07-26 10:08:05 PDT
What I've found that it's sufficient to do this.

bring up new compose window
type test<ret>

at that point, the arrow keys don't work. Switching focus fixes things, and I
haven't been able to get it to break again without shutting down and restarting.
Does anyone have this happen to them more than once in a session? Since we cache
the compose window, I wonder if this is some sort of initialization
problem...this is a bit difficult to debug since hitting a breakpoint in the
debugger switches focus :-)
Comment 9 OstGote! 2005-07-26 10:11:53 PDT
(In reply to comment #7)
> BTW: It looks like some controller(?) or focus gets lost here, since when this
> bug occours, the menu items like Paste, Select All, Rewrap, etc. in the Edit
> menu are grayed out.

Aha, I guess Bug 301968 is related.
Comment 10 David :Bienvenu 2005-07-26 12:08:04 PDT
ah, the cursor keys don't work at all with the first compose window, until focus
is lost and regained. Pressing <ret> has nothing to do with it.
Comment 11 Asa Dotzler [:asa] 2005-07-26 12:59:36 PDT
I think this regressed between 2005-07-11-09 and 2005-07-12-09 builds.
Comment 12 Asa Dotzler [:asa] 2005-07-26 13:02:37 PDT
Johnny and David both checked in in that window (and it looks like only them)

Johnny, could this be fallout from that last change to bug 296704 ?
Comment 13 Asa Dotzler [:asa] 2005-07-26 13:20:23 PDT
To help confirm, can any others of you who are seeing this problem please try to
reproduce with this build? 

http://mozilla.isc.org/pub/mozilla.org/mozilla/nightly/2005-07-11-09-1.7/mozilla-win32-installer.exe

This build seems to be working for me but I was only able to reproduce the
problem intermittently.
Comment 14 David :Bienvenu 2005-07-26 13:39:36 PDT
looks like the img manager changes are somehow responsible - backing them out
fixes the problem. I have no idea how that could be, however. I'll do some more
sanity checks.
Comment 15 Serge Gautherie (:sgautherie) 2005-07-26 13:48:47 PDT
(In reply to comment #13)

[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7.9) Gecko/20050711] (-09 nightly)
(W98SE)

Confirming that this build did not yet have this bug.
Comment 16 David :Bienvenu 2005-07-26 15:20:24 PDT
Created attachment 190627 [details] [diff] [review]
possible fix
[Checked in: Comment 24]

OK, this is not pleasant - the problem seems to have to do with calling
GetBaseURI on every context that gets passed into ShouldLoad. It seems to have
some unpleasant side effect in some cases. I determined that it's a non image
object case, and that if I don't call it on non APP_TYPE_MAIL doc shells, or on
non image objects, then the problem goes away.	I determined as best I could
that it wasn't an error return from ShouldLoad, or a different out aShouldLoad
return that was causing the problem, but simply calling that GetBaseURI code
(which I didn't change - just moved into its own function). Boris, if you have
any suggestion as to what that side effect could be, I could try to fix that
side effect, but for now, this fixes the problem.
Comment 17 Boris Zbarsky [:bz] (TPAC) 2005-07-26 15:33:52 PDT
Comment on attachment 190627 [details] [diff] [review]
possible fix
[Checked in: Comment 24]

I bet the issue is that calling GetDocument() on a window will create an
about:blank document as needed; if this is done as we're trying to load things
in the window, I can see how it could make things confusing...

This looks like exactly the right fix.
Comment 18 David :Bienvenu 2005-07-27 08:22:57 PDT
*** Bug 302350 has been marked as a duplicate of this bug. ***
Comment 19 Asa Dotzler [:asa] 2005-07-27 13:29:18 PDT
Can those of you who were experiencing this bug please get today's branch build
from http://mozilla.isc.org/pub/mozilla.org/mozilla/nightly/latest-1.7/ and
verify that this issue is indeed fixed? Thanks.
Comment 20 OstGote! 2005-07-27 15:10:55 PDT
I tested again with build 2005072706 on WinXP and I can confirm that it now
works for me. Thanks!
Comment 21 OstGote! 2005-07-27 15:44:58 PDT
Bug 302384 and bug 301827 are possible dupes of this bug and Bug 301968.
Comment 22 David :Bienvenu 2005-07-27 16:10:02 PDT
*** Bug 301968 has been marked as a duplicate of this bug. ***
Comment 23 David :Bienvenu 2005-07-27 16:11:03 PDT
*** Bug 301827 has been marked as a duplicate of this bug. ***
Comment 24 Serge Gautherie (:sgautherie) 2005-07-27 16:41:46 PDT
Comment on attachment 190627 [details] [diff] [review]
possible fix
[Checked in: Comment 24]


Check in: { 2005-07-26 15:36	bienvenu%nventure.com		       
MOZILLA_1_7_BRANCH }
Comment 25 Serge Gautherie (:sgautherie) 2005-07-27 16:44:41 PDT
[Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.7.10) Gecko/20050727] (-08 nightly)
(W98SE)

V.Fixed.
Comment 26 OstGote! 2005-07-28 09:31:00 PDT
*** Bug 302318 has been marked as a duplicate of this bug. ***
Comment 27 OstGote! 2005-07-28 09:40:49 PDT
*** Bug 302459 has been marked as a duplicate of this bug. ***
Comment 28 OstGote! 2005-07-28 09:42:44 PDT
*** Bug 302384 has been marked as a duplicate of this bug. ***
Comment 29 Felix Miata 2005-07-29 09:10:41 PDT
*** Bug 302641 has been marked as a duplicate of this bug. ***
Comment 30 Stephen Donner [:stephend] 2005-07-30 09:25:39 PDT
*** Bug 302777 has been marked as a duplicate of this bug. ***
Comment 31 Gerrit P. Haase 2005-08-02 03:49:55 PDT
Wow, what a mess, I'm glad this was fixed so fast (and also this one: https://
bugzilla.mozilla.org/show_bug.cgi?id=300749 ), these TWO issues made Mail 
completely unusable!  I just reverted to 1.7.8 when I saw that 1.7.11 is out 
now.

I wonder how such TWO bad bugs in the UI could make it through to a release, is 
there no regression testing before doing a release???
Comment 32 Adam Guthrie 2005-08-02 22:22:32 PDT
*** Bug 303139 has been marked as a duplicate of this bug. ***
Comment 33 Adam Guthrie 2005-08-03 14:36:19 PDT
*** Bug 301710 has been marked as a duplicate of this bug. ***
Comment 34 rulix 2005-08-04 01:13:39 PDT
After visiting "Einstellungen" cursor keys work normal

Note You need to log in before you can comment on or make changes to this bug.